Bug 445233 - /sbin/iscsi-ls: line 87: [: too many arguments
/sbin/iscsi-ls: line 87: [: too many arguments
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.6
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 12:10 EDT by mike ledoux
Modified: 2009-05-18 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The iscsi package provides the server daemon for the iSCSI protocol, as well as the utility programs used to manage it. iSCSI is a protocol for distributed disk access using SCSI commands sent over Internet Protocol networks. These updated packages include a fix for the following bug: * iscsi-ls did not allow for target aliases that contained multiple words. Therefore, when used on a system which included such an alias, iscsi-ls would print the following error: "/sbin/iscsi-ls: line 87: [: too many arguments". Iscsi-ls now correctly handles aliases that contain multiple words, and correctly displays information about those targets. Users should upgrade to this updated package,which resolves this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix iscsi-ls error with target aliases containing spaces. (389 bytes, patch)
2008-05-05 12:10 EDT, mike ledoux
no flags Details | Diff

  None (edit)
Description mike ledoux 2008-05-05 12:10:06 EDT
Description of problem:

iscsi-ls produces error output if Target Alias contains spaces:
"/sbin/iscsi-ls: line 87: [: too many arguments"


Version-Release number of selected component (if applicable):

iscsi-initiator-utils 4.0.3.0 from RHEL4u6

How reproducible:

Every time.

Steps to Reproduce:
1. use iscsi-ls on a system with spaces in a target alias
2.
3.
  
Actual results:


Expected results:


Additional info:

A simple patch is attached to fix.  $talias should have been quoted in the
iscsi-ls script, but was not.
Comment 1 mike ledoux 2008-05-05 12:10:06 EDT
Created attachment 304535 [details]
patch to fix iscsi-ls error with target aliases containing spaces.
Comment 2 Mike Christie 2008-05-05 13:06:10 EDT
Thanks Mike. RHEL 4.7 just got finished up from my side, so I am adding this to
my merge list for RHEL 4.8.
Comment 3 RHEL Product and Program Management 2008-09-05 13:15:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Mike Christie 2009-01-23 14:09:53 EST
Thanks for the patch Mike. It is in iscsi-initiator-utils-4.0.3.0-8. This should show up in RHEL 4.8. You will get a notification in the bugzilla.
Comment 6 Ruediger Landmann 2009-01-26 20:30:02 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The iscsi package provides the server daemon for the iSCSI protocol, as well as the utility programs used to manage it. iSCSI is a protocol for distributed disk access using SCSI commands sent over Internet Protocol networks.

These updated packages include a fix for the following bug:
* iscsi-ls did not allow for target aliases that contained multiple words. Therefore, when used on a system which included such an alias, iscsi-ls would print the following error: "/sbin/iscsi-ls: line 87: [: too many arguments". Iscsi-ls now correctly handles aliases that contain multiple words, and correctly displays information about those targets.

Users should upgrade to this updated package,which resolves this issue.
Comment 9 errata-xmlrpc 2009-05-18 16:30:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1009.html

Note You need to log in before you can comment on or make changes to this bug.